This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 470199 - [RFE] tar should support saving selinux context
[RFE] tar should support saving selinux context
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: tar (Show other bugs)
4.7
All Linux
medium Severity medium
: rc
: ---
Assigned To: Ondrej Vasik
BaseOS QE
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-11-06 03:59 EST by Petr Šplíchal
Modified: 2010-01-26 07:28 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-01-26 07:28:15 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Petr Šplíchal 2008-11-06 03:59:17 EST
Description of problem:

Currently there is no support for saving selinux context in tar
archives on RHEL4. As tar is used very often for archiving and
backups and selinux is enabled by default on RHEL4 it would be
nice to be able to preserve all extended atributes in archives.

Version-Release number of selected component (if applicable):
tar-1.14-12.5.1.RHEL4.x86_64

Steps to Reproduce:
tar cf backup.tar --selinux file
  
Actual results:
tar: unrecognized option `--selinux'
Try `tar --help' for more information.

Expected results:
tar archive with selinux attributes included
Comment 1 RHEL Product and Program Management 2008-11-06 04:06:22 EST
This request was evaluated by Red Hat Product Management for
inclusion, but this component is not scheduled to be updated in
the current Red Hat Enterprise Linux release. If you would like
this request to be reviewed for the next minor release, ask your
support representative to set the next rhel-x.y flag to "?".
Comment 5 RHEL Product and Program Management 2010-01-26 07:28:15 EST
Development Management has reviewed and declined this request.  You may appeal
this decision by reopening this request.

Note You need to log in before you can comment on or make changes to this bug.